Name:           python-fontfeatures
Version:        1.9.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python library for manipulating OpenType font features

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source fontfeatures}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fontfeatures' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fontfeatures
Summary:        %{summary}

%description -n python3-fontfeatures %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-fontfeatures shaper


%prep
%autosetup -p1 -n fontfeatures-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x shaper


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fontfeatures -f %{pyproject_files}


%changelog
%autochangelog